## LassoSaml2StatementAbstract LassoSaml2StatementAbstract — <saml2:StatementAbstract> |

## Functions

LassoNode * | lasso_saml2_statement_abstract_new ()

## Types and Values

struct | LassoSaml2StatementAbstract

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2StatementAbstract
                ├── LassoSaml2AttributeStatement
                ├── LassoSaml2AuthnStatement
                ╰── LassoSaml2AuthzDecisionStatement

## Description

Figure 63. Schema fragment for saml2:StatementAbstract

    <complexType name="StatementAbstractType" abstract="true"/>
    <element name="AuthnStatement" type="saml:AuthnStatementType"/>
    <complexType name="AuthnStatementType">
      <complexContent>
        <extension base="saml:StatementAbstractType">
          <sequence>
            <element ref="saml:SubjectLocality" minOccurs="0"/>
            <element ref="saml:AuthnContext"/>
          </sequence>
          <attribute name="AuthnInstant" type="dateTime" use="required"/>
          <attribute name="SessionIndex" type="string" use="optional"/>
          <attribute name="SessionNotOnOrAfter" type="dateTime" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_statement_abstract_new ()

    LassoNode *
    lasso_saml2_statement_abstract_new (void);

Creates a new LassoSaml2StatementAbstract object.

#### Returns

a newly created LassoSaml2StatementAbstract object

## Types and Values

### struct LassoSaml2StatementAbstract

    struct LassoSaml2StatementAbstract;